"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = __importDefault(require("mongoose"));
const postsSchema = new mongoose_1.default.Schema({
    reiseid: { type: String, required: true },
    imagePaths: { type: [String], required: true },
    temperatureInCelsius: { type: Number, required: true },
    postedAt: { type: Date, required: true },
    coords: { type: Object, required: true },
    caption: { type: String, required: true },
});
const Post = mongoose_1.default.model('Posts', postsSchema);
exports.default = Post;
