"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = __importDefault(require("mongoose"));
const reiseSchema = new mongoose_1.default.Schema({
    name: { type: String, required: true },
    userId: { type: String, required: true },
    pictures: { type: [String], required: false },
    location: {
        lat: { type: Number, required: true },
        lon: { type: Number, required: true }
    },
    startDate: { type: Date, required: true },
    endDate: { type: Date, required: true },
});
const Reise = mongoose_1.default.model('Reise', reiseSchema);
exports.default = Reise;
