"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = __importDefault(require("mongoose"));
const userSchema = new mongoose_1.default.Schema({
    name: { type: String, required: true },
    surname: { type: String, required: true },
    socialHandle: { type: String, required: true },
    email: { type: String, required: true },
    password: { type: String, required: true },
    profilePicture: { type: String, required: false },
    travelId: { type: [String], required: false },
    followers: { type: [String], required: false },
    following: { type: [String], required: false },
    bio: { type: String, required: false },
    friendIds: { type: [Number], require: false }
});
const User = mongoose_1.default.model('User', userSchema);
exports.default = User;
