"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const posts_controller_1 = require("../controller/posts.controller");
const multer_mw_1 = __importDefault(require("../middleware/multer.mw"));
const router = express_1.default.Router();
router.post("/addPost", multer_mw_1.default.array("postImages"), posts_controller_1.addPost);
router.get("/remPost/:postid", posts_controller_1.remPost);
router.get("/getAllPosts", posts_controller_1.getAllPosts);
exports.default = router;
